Bug 231429 - math/ntl: fix build with powerpc64, reorder USES
Summary: math/ntl: fix build with powerpc64, reorder USES
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-17 13:19 UTC by Piotr Kubaj
Modified: 2018-09-20 00:01 UTC (History)
3 users (show)

See Also:
ndowens04: maintainer-feedback+


Attachments
patch (339 bytes, patch)
2018-09-17 13:19 UTC, Piotr Kubaj
ndowens04: maintainer-approval+
Details | Diff
Fix build for PowerPC (498 bytes, text/plain)
2018-09-17 18:53 UTC, Nathan
ndowens04: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-09-17 13:19:35 UTC
Created attachment 197170 [details]
patch

ntl requires C11-aware compiler. This patch adds USES for it and reorders existing USES.

Tested on CURRENT / powerpc64.
Comment 1 Nathan 2018-09-17 18:20:30 UTC
I’m gonna test it on other jails to make sure it’s not needed in others. I rather have it when it’s needed on certain archs as c11 will break mips because need of gcc
Comment 2 Nathan 2018-09-17 18:47:37 UTC
(In reply to Nathan from comment #1)
Seems not gonna work on mips anyway either. Probably will need to bump the revision on the port
Comment 3 Nathan 2018-09-17 18:53:36 UTC
Created attachment 197176 [details]
Fix build for PowerPC
Comment 4 Piotr Kubaj freebsd_committer 2018-09-18 06:10:20 UTC
(In reply to Nathan from comment #3)
IMO bumping PORTREVISION isn't necessary. If it builds, you already use C11-aware compiler. If it isn't, adding USES fixes the build.
Comment 5 Nathan 2018-09-19 21:02:01 UTC
Set maintainer-approval to ? on patch, so I can + it
Comment 6 commit-hook freebsd_committer 2018-09-20 00:00:33 UTC
A commit references this bug:

Author: swills
Date: Thu Sep 20 00:00:29 UTC 2018
New revision: 480130
URL: https://svnweb.freebsd.org/changeset/ports/480130

Log:
  math/ntl: fix build with powerpc64, reorder USES

  PR:		231429
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Approved by:	Nathan <ndowens@yahoo.com> (maintainer)

Changes:
  head/math/ntl/Makefile
Comment 7 Steve Wills freebsd_committer 2018-09-20 00:01:43 UTC
Committed, thanks!